<?php
class ControllerPaymentPayanywayOthers extends Controller {
	protected function index() {
		$this->load->language('payment/payanyway_others');
		
    	$this->data['button_confirm'] = $this->language->get('button_confirm');

		$this->data['continue'] = $this->url->link('checkout/success');

		$this->load->model('checkout/order');
		$order_info = $this->model_checkout_order->getOrder($this->session->data['order_id']);

        $mnt_id = $this->config->get('payanyway_mnt_id');
        $order_id = $this->session->data['order_id'];
        $currency = $this->config->get('payanyway_mnt_currency_code');
        $mnt_test_mode = $this->config->get('payanyway_mnt_test_mode');
        $mnt_dataintegrity_code = $this->config->get('payanyway_mnt_dataintegrity_code');
		
        $amount = $this->currency->format($order_info['total'], $currency, '', false);
		$amount = number_format($amount, 2, '.', '');
        $signature = md5("{$mnt_id}{$order_id}{$amount}{$currency}{$mnt_test_mode}{$mnt_dataintegrity_code}");

		$this->data['action'] = "https://{$this->config->get('payanyway_mnt_server')}/assistant.htm";
		$this->data['mnt_id'] = $mnt_id;
		$this->data['order_id'] = $order_id;
		$this->data['currency'] = $currency;
		$this->data['amount'] = $amount;
		$this->data['mnt_signature'] = $signature;
		$this->data['mnt_test_mode'] = $mnt_test_mode;
		$this->data['paymentSystemUnitId'] = "248362";
		$this->data['paymentSystemLimitIds'] = "248362,913604";
		$this->data['mnt_success_url'] = $this->url->link('payment/payanyway/success');
		$this->data['mnt_fail_url'] = $this->url->link('checkout/checkout', '', 'SSL');

		/* Pay link begin */
		$submodule = '_others';
		$this->language->load('payment/payanyway');
		$this->data['payLinkText'] = $this->language->get('paylink_text');
		$urlData = array(
			'MNT_ID' => $this->data['mnt_id'],
			'MNT_TRANSACTION_ID' => $this->data['order_id'],
			'MNT_CURRENCY_CODE' => $this->data['currency'],
			'MNT_AMOUNT' => $this->data['amount'],
			'MNT_TEST_MODE' => $this->data['mnt_test_mode'],
			'MNT_SIGNATURE' => $this->data['mnt_signature'],
			'paymentSystem.unitId' => $this->data['paymentSystemUnitId'],
			'paymentSystem.limitIds' => $this->data['paymentSystemLimitIds']
		);
		$this->data['payLink'] = $this->data['action'].'?'.http_build_query($urlData);
		$this->data['payLinkEnabled'] = $this->config->get('payanyway'.$submodule.'_paylink');
		if ($this->data['payLinkEnabled'] == '1')
		{
			$this->model_checkout_order->confirm($order_id, $this->config->get('payanyway'.$submodule.'_order_status_id'),
				$this->language->get('order_comment_1').'<a href="' . htmlspecialchars($this->data['payLink']) . '">'.
				$this->language->get('order_comment_2').'</a>', true);
		}
		/* Pay link end */

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/payment/payanyway_others.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/payment/payanyway_others.tpl';
		} else {
			$this->template = 'default/template/payment/payanyway_others.tpl';
		}	
		
		$this->render();
	}
}
?>