<?php echo $header; ?><?php echo $column_left; ?><?php echo $column_right; ?>
<div id="content"><?php echo $content_top; ?>
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
  <h1><?php echo $heading_title; ?></h1>
  <?php if ($invoice['status'] == 'CREATED') {?>
	<?php if ($invoice['system'] == 'payanyway_post') {?>

		<p><?php echo str_replace(
				array('%operation%', '%payment_url%', '%ctid%'),
				array($invoice['operation'], $invoice['payment_url'], $invoice['ctid']),
				$text_message); ?></p>

	<?php } else if ($invoice['system'] == 'payanyway_banktransfer'){?>

		<p><?php echo str_replace(
				array('%operation%', '%payment_url%', '%unitid%', '%ctid%'),
				array($invoice['operation'], $invoice['payment_url'], $invoice['unitid'], $invoice['ctid']),
				$text_message); ?></p>

    <?php } else if ($invoice['system'] == 'payanyway_euroset'){?>

      <h2>Инструкция для оплаты в салоне Евросеть</h2>
      <p>Для оплаты в салоне Евросеть сообщите кассиру: пополнить <b>Монета.Ру</b>, номер <?php echo $invoice['transaction']?>.</p>
      <br/>
      <p>Возьмите с собой паспорт, возможно, он вам потребуется для совершения платежа по требованию сотрудника салона связи.</p>
      <p>Сообщите кассиру, что Вам необходимо оплатить Монета.Ру и предъявите ему полученный  Номер для оплаты.</p>
      <p><strong>Ни в коем случае не оплачивайте через терминал, установленный на территории салона связи, это иной способ оплаты и платеж
      не дойдет до получателя.</strong></p>
      <p>Кассир внесет цифры в программное обеспечение и предоставит Вам на проверку предварительный чек (пречек), в котором будут
      указаны параметры платежа (Название магазина, Номер заказа).</p>
      <p>Внимательно проверьте, что это именно Ваш заказ, и подпишите пречек.</p>
      <p>Кассир возьмет деньги и выдаст Вам кассовый чек, который подтверждает оплату. </p>
      <p>Денежные средства перечисляются моментально.</p>
      <p>Комиссия за платеж не взимается.</p>
      <br/>
      <h3>ПАМЯТКА ДЛЯ КАССИРА ЕВРОСЕТИ</h3>
      <ul>
      <li>Нажать на кнопку «F6» Европлат, затем выбрать «Платежи» «F3», в поисковой строке найти Монета.ру.</li>
      <li>В появившемся окне ввести цифры Номера и сумму.</li>
      <li>Нажать кнопку «Проверить».</li>
      </ul>
      <p>Сумма: <?php echo $invoice['amount']?></p>
      <p>Внешняя комиссия: <?php echo $invoice['fee']?></p>
      <p>Сумма к оплате: <?php echo $invoice['payerAmount']?></p>

    <?php } else if ($invoice['system'] == 'payanyway_svyaznoi'){?>

      <h2>10-значный код: <?php echo $invoice['transaction']?></h2>
      <p>Оплата наличными через кассы салонов связи Связной.<br/><a target='_blank' href='https://<?php echo $invoice["payment_url"]?>rapidareceipt.htm?operationId=<?php echo $invoice["operation"]?>&transactionId=<?php echo $invoice["ctid"]?>'>Распечатайте</a> квитанцию и возьмите её с собой. При оплате можете просто отдать её кассиру для того, чтобы он быстро провел Ваш платеж.</p>
      <p>Если Вы не распечатали квитанцию, то сообщите кассиру 10-значный код. Кассир предоставит вам на проверку пречек, в котором будут указаны параметры платежа. Внимательно проверьте, что это именно ваш заказ, и подпишите пречек. Кассир возьмет деньги и выдаст вам кассовый чек, который подтверждает Вашу оплату.</p>
      <p>В случае утраты кода, кассир восстановит его по номеру вашего мобильного телефона. Если вы распечатаете квитанцию со штрих-кодом, кассир сможет считать его ридером. При оплате через кассира следует говорить, что вы оплачиваете заказ интернет-магазина по 10-значному коду. </p>
      <p>Сумма: <?php echo $invoice['amount']?></p>
      <p>Внешняя комиссия: <?php echo $invoice['fee']?></p>
      <p>Сумма к оплате: <?php echo $invoice['payerAmount']?></p>

    <?php } else if ($invoice['system'] == 'payanyway_sberbank'){?>

		<h3><?php echo $text_message[1].' '.$invoice['transaction']; ?></h3>
		<p><?php echo $text_message[2]; ?></p>
		<p><?php echo $invoice['transaction']; ?></p>
		<p><?php echo $text_message[6]; ?></p>
		<p><?php echo $text_message[3].' '.$invoice['amount']; ?></p>
		<p><?php echo $text_message[4].' '.$invoice['fee']; ?></p>
		<p><?php echo $text_message[5].' '.$invoice['payerAmount']; ?></p>

	<?php } else {?>

		<h3><?php echo $text_message[1].' '.$invoice['transaction']; ?></h3>
		<p><?php echo $text_message[2]; ?></p>
		<p><?php echo $invoice['transaction']; ?></p>
		<p><?php echo $text_message[3].' '.$invoice['amount']; ?></p>
		<p><?php echo $text_message[4].' '.$invoice['fee']; ?></p>
		<p><?php echo $text_message[5].' '.$invoice['payerAmount']; ?></p>

	<?php }?>
  <?php } else {?>

    <p><?php echo $invoice['error_message'];?></p>

  <?php }?>
  <div class="buttons">
    <div class="right"><a href="<?php echo $continue; ?>" class="button"><span><?php echo $button_continue; ?></span></a></div>
  </div>
  <?php echo $content_bottom; ?></div>
<?php echo $footer; ?>